[Qa-jenkins-scm] [jenkins.debian.net] 03/03: create jenkins user if it doesnt exist (eg on build hosts)
Holger Levsen
holger at moszumanska.debian.org
Thu Jul 30 10:52:10 UTC 2015
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit 1853d479198d9c84ef8c8341251f3c4dd15ef3f1
Author: Holger Levsen <holger at layer-acht.org>
Date: Thu Jul 30 12:51:12 2015 +0200
create jenkins user if it doesnt exist (eg on build hosts)
---
update_jdn.sh | 3 +++
1 file changed, 3 insertions(+)
diff --git a/update_jdn.sh b/update_jdn.sh
index 8369a33..4e0b833 100755
--- a/update_jdn.sh
+++ b/update_jdn.sh
@@ -18,6 +18,9 @@ explain() {
#
# set up users and groups
#
+if ! getent passwd jenkins > /dev/null ; then
+ sudo adduser --system --no-create-home --ingroup jenkins --disabled-login jenkins
+fi
if ! getent group jenkins-adm > /dev/null ; then
sudo addgroup --system jenkins-adm
fi
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list